Cin Verification
curl --request GET \
--url https://production.deepvue.tech/v1/verification/mca/cin \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/verification/mca/cin"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/verification/mca/cin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/verification/mca/cin",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/verification/mca/cin"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/verification/mca/cin")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/verification/mca/cin")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1738236700074,
"transaction_id": "ed0b4ef3-4768-47fa-99c4-4da7e2eea871",
"data": {
"company_master_data": {
"company_category": "Company limited by shares",
"email_id": "tataind@tata.com",
"class_of_company": "Public",
"date_of_last_agm": "25/06/2024",
"registered_address": "TATA INDUSTRIES LTD BOMBAY HOUSE 24 HOMI MODY STREET MUMBAI Maharashtra India 400001",
"registration_number": "004403",
"paid_up_capital(rs)": "10795460200",
"whether_listed_or_not": "Unlisted",
"suspended_at_stock_exchange": "-",
"cin": "U44003MH1945PLC004403",
"company_subcategory": "Non-government company",
"authorised_capital(rs)": "11600000000",
"company_status(for_efiling)": "Active",
"roc_code": "ROC Mumbai",
"date_of_balance_sheet": "31/03/2024",
"date_of_incorporation": "07/04/1945",
"company_name": "TATA INDUSTRIES LIMITED",
"active_compliance": "ACTIVE Compliant",
"main_division_of_business_activity_to_be_carried_out_in_india": "",
"previous_firm/_company_details,_if_applicable": "",
"number_of_designated_partners": "",
"total_obligation_of_contribution": "0",
"description_of_main_division": "",
"number_of_partners": "",
"rd_region": "Western Region",
"balance_sheets": [],
"annual_returns": []
},
"charges": [],
"directors/signatory_details": [
{
"end_date": "-",
"din/pan": "00028428",
"designation": "Director",
"begin_date": "12/12/2016",
"name": "FAROKH NARIMAN SUBEDAR"
}
]
}
}MCA
CIN Verification
Set of APIs that help fetch MCA Director Master Data & Company Master Data.
GET
/
v1
/
verification
/
mca
/
cin
Cin Verification
curl --request GET \
--url https://production.deepvue.tech/v1/verification/mca/cin \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/verification/mca/cin"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/verification/mca/cin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/verification/mca/cin",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/verification/mca/cin"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/verification/mca/cin")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/verification/mca/cin")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1738236700074,
"transaction_id": "ed0b4ef3-4768-47fa-99c4-4da7e2eea871",
"data": {
"company_master_data": {
"company_category": "Company limited by shares",
"email_id": "tataind@tata.com",
"class_of_company": "Public",
"date_of_last_agm": "25/06/2024",
"registered_address": "TATA INDUSTRIES LTD BOMBAY HOUSE 24 HOMI MODY STREET MUMBAI Maharashtra India 400001",
"registration_number": "004403",
"paid_up_capital(rs)": "10795460200",
"whether_listed_or_not": "Unlisted",
"suspended_at_stock_exchange": "-",
"cin": "U44003MH1945PLC004403",
"company_subcategory": "Non-government company",
"authorised_capital(rs)": "11600000000",
"company_status(for_efiling)": "Active",
"roc_code": "ROC Mumbai",
"date_of_balance_sheet": "31/03/2024",
"date_of_incorporation": "07/04/1945",
"company_name": "TATA INDUSTRIES LIMITED",
"active_compliance": "ACTIVE Compliant",
"main_division_of_business_activity_to_be_carried_out_in_india": "",
"previous_firm/_company_details,_if_applicable": "",
"number_of_designated_partners": "",
"total_obligation_of_contribution": "0",
"description_of_main_division": "",
"number_of_partners": "",
"rd_region": "Western Region",
"balance_sheets": [],
"annual_returns": []
},
"charges": [],
"directors/signatory_details": [
{
"end_date": "-",
"din/pan": "00028428",
"designation": "Director",
"begin_date": "12/12/2016",
"name": "FAROKH NARIMAN SUBEDAR"
}
]
}
}The Cin section of the Developers API allows users to retrieve verification information related to a company’s Corporate Identification Number (CIN). With this functionality, users can quickly access important details and validate the authenticity of a company based on its unique identification number. This section streamlines the process of verifying corporate entities for various business and compliance purposes.
Authorizations
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Query Parameters
The identification number associated with the verification request for the Ministry of Corporate Affairs (MCA) Certificate of Incorporation Number (CIN).